Bug 476131 - build binary rpms from glibc-2.3.4-2.41.src.rpm failes
build binary rpms from glibc-2.3.4-2.41.src.rpm failes
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: glibc (Show other bugs)
4.7
All Linux
low Severity high
: rc
: ---
Assigned To: Andreas Schwab
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-11 21:53 EST by wengang wang
Modified: 2009-08-20 08:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-20 08:29:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wengang wang 2008-12-11 21:53:55 EST
while building glibc binary rpms based glibc-2.3.4-2.41.src.rpm,
error occurs like:
...
+ sort
+ grep -v '/lib/lib\(pcprofile\|memusage\).so'
+ sed -e 's|/home/wwg/rpmbuild/tmp/glibc-2.3.4-root||' -e 's|.*/lib/locale/\([^/_]\+\)|%lang(\1) &|' -e 's|.*/share/locale/\([^/_]\+\).*/LC_MESSAGES/.*\.mo|%lang(\1) &|'
+ grep -v '/etc/\(localtime\|nsswitch.conf\|ld.so.conf\|ld.so.cache\|default\)'
+ grep -v 'bin/\(memusage\|mtrace\|xtrace\|pcprofiledump\)'
+ mkdir -p /home/wwg/rpmbuild/tmp/glibc-2.3.4-root/usr/lib
+ mv -f /home/wwg/rpmbuild/tmp/glibc-2.3.4-root/lib/libpcprofile.so /home/wwg/rpmbuild/tmp/glibc-2.3.4-root/lib/libmemusage.so /home/wwg/rpmbuild/tmp/glibc-2.3.4-root/usr/lib
+ for i in '$RPM_BUILD_ROOT/usr/bin/{xtrace,memusage}'
+ cp -a /home/wwg/rpmbuild/tmp/glibc-2.3.4-root/usr/bin/xtrace /home/wwg/rpmbuild/tmp/glibc-2.3.4-root/usr/bin/xtrace.tmp
+ sed -e s~=/lib/libpcprofile.so~=/usr/lib/libpcprofile.so~ -e s~=/lib/libmemusage.so~=/usr/lib/libmemusage.so~ /home/wwg/rpmbuild/tmp/glibc-2.3.4-root/usr/bin/xtrace.tmp
+ chmod 755 /home/wwg/rpmbuild/tmp/glibc-2.3.4-root/usr/bin/xtrace
+ rm -f /home/wwg/rpmbuild/tmp/glibc-2.3.4-root/usr/bin/xtrace.tmp
+ for i in '$RPM_BUILD_ROOT/usr/bin/{xtrace,memusage}'
+ cp -a /home/wwg/rpmbuild/tmp/glibc-2.3.4-root/usr/bin/memusage /home/wwg/rpmbuild/tmp/glibc-2.3.4-root/usr/bin/memusage.tmp
cp: cannot stat `/home/wwg/rpmbuild/tmp/glibc-2.3.4-root/usr/bin/memusage': No such file or directory
error: Bad exit status from /home/wwg/rpmbuild/tmp/rpm-tmp.6873 (%install)


RPM build errors:
    Bad exit status from /home/wwg/rpmbuild/tmp/rpm-tmp.6873 (%install)

steps I followed:
1) rm -rf ~/rpmbuild/SOURCES/*
2) rpm -ivh glibc-2.3.4-2.41.src.rpm
3) rpmbuild -bb --target=i686 ~/rpmbuild/SPECS/glibc.spec
Comment 1 Jakub Jelinek 2009-01-09 09:54:32 EST
That means you don't have gd-devel.i386, libpng-devel.i386 or zlib-devel.i386
installed.  glibc.spec BuildRequires these, but if e.g. you build on x86_64 (and not in 32-bit chroot, mock etc.), you might have x86_64 versions of these installed.

Note You need to log in before you can comment on or make changes to this bug.